4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.StringWriter

A specialized XSLT output writer that only captures text output events
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: StringWriter

## Classes

class StringWriter(Ft.Xml.Xslt.NullWriter.NullWriter)

### Methods

__init__(self, outputParams)
attribute(self, name, value, namespace=None)
comment(self, body)
endElement(self, name, namespace=None)
getResult(self)
processingInstruction(self, target, data)
startElement(self, name, namespace=None, extraNss=None)
text(self, text, escapeOutput=True)

### Methods inherited from class Ft.Xml.Xslt.NullWriter.NullWriter

copyNodes, endDocument, getMediaType, getStream, namespace, startDocument